import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
export declare class _UNNotificationTrigger extends _NSObject {
    static alloc(): _UNNotificationTrigger;
    static new(): _UNNotificationTrigger;
    init(): _UNNotificationTrigger;
    repeats(): boolean;
}
export interface _UNNotificationTrigger extends _NSCopying, _NSSecureCoding {
}
